Skip to main content

Basis

API Description​

Query basis

HTTP Request​

GET /futures/data/basis

Request Weight​

1

Request Parameters​

NameTypeMandatoryDescription
pairSTRINGYESBTCUSD
contractTypeENUMYESCURRENT_QUARTER, NEXT_QUARTER, PERPETUAL
periodENUMYES"5m","15m","30m","1h","2h","4h","6h","12h","1d"
limitLONGNODefault 30,Max 500
startTimeLONGNO
endTimeLONGNO
  • If startTime and endTime are not sent, the most recent data is returned.
  • Only the data of the latest 30 days is available.
  • The timestamp in the response is the start time of the period.

Response Example​

[  
{
"indexPrice": "29269.93972727",
"contractType": "CURRENT_QUARTER",
"basisRate": "0.0024",
"futuresPrice": "29341.3",
"annualizedBasisRate": "0.0283",
"basis": "71.36027273",
"pair": "BTCUSD",
"timestamp": 1653381600000
}
]